Subject: Re: bug#78682: Building libltdl with MSVC fails

From: Ileana Dumitrescu <[email-masked]>
Date: Wed, 4 Jun 2025 18:13:53 +0300

On 03/06/2025 17:29, Kirill Makurin wrote:
> Hi,

Hi!

> 
> Building libltdl with MSVC fails:
> 
> ```
> libltdl_la-ltdl.obj : error LNK2019: unresolved external symbol 
> lt_ltdl_LTX_preloaded_symbols referenced in function lt_dlinit
> libltdl\.libs\libltdl-7.dll : fatal error LNK1120: 1 unresolved externals
> ```
> 
> I attached full invocation in separate file since it's quite messy.
> 
> I did some investigation.
> 
> Apparently, `lt_ltdl_LTX_preloaded_symbols` is supposed to be defined in 
> libtool-generated `libltdl/.libs/libltdlS.c`, however it defines 
> `lt_libltdl_LTX_preloaded_symbols` instead, as if it was mingw build.
> 
> I was building from libtool-2.5.4 release tarball. I tried building from 
> `master` and the issue also exist there.

Most if not all MSVC-related fixes are in the 'development' branch for
review and testing before I migrate them to master. Would you try
building libltdl with MSVC using development source code?

> Thank you for working on MSVC-related issues. I have some other things 
> to report/suggest.

Thank you for your detailed bug reports!

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354